Skip to main content
POST
Create Apple Pay Provisioning Data

Path Parameters

cardId
string<uuid>
required

Body

application/json
certificates
string[]
required

Apple-provided leaf and sub-CA certificates, in that order. The Apple Root CA G3 is downloaded separately and is not sent by the client.

Required array length: 2 elements

A non-empty Base64-encoded DER certificate supplied by PassKit.

Minimum string length: 1
nonce
string
required
Minimum string length: 1
nonce_signature
string
required
Minimum string length: 1
device_type
enum<string>
required

Device types supported for Apple Pay push provisioning.

Available options:
mobile_phone,
watch
app_version
string
required
Minimum string length: 1
product_type
string
Minimum string length: 1

Response

The request has succeeded.

activation_data
string
required
encrypted_pass_data
string
required
ephemeral_public_key
string
required